Summary
Exports a template document.
Description
Exports a template document.
Route
GET /automation-studio/templates/:id/export
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Template id. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| exported |
object |
Exported representation of the template. |
Copied to Clipboard
{
"_id": "63260aae19d0d2dc70de0ffd",
"name": "test",
"device": "Sample group",
"command": "show ip br",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"text": "some sample text to match against",
"type": "test",
"projectId": "2f35af38360bce13E5F0Dee4",
"createdBy": "3f2380206cba449118faa16a",
"created": "2019-11-25T22:51:39.201Z",
"lastModifiedBy": "6d83d1b6211ee01177141001",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "9752fa9965b200ae8742fad2",
"name": "voluptate"
},
{
"_id": "1ecc168b1f59d47c1772d10b",
"name": "Excepteur"
},
{
"_id": "afb9d007951cfdd0224f5b9f",
"name": "proident cupidatat mollit qui id"
},
{
"_id": "4ed1783fff51f76f378cb11e",
"name": "ullamco sint consectetur ex"
}
]
}